Download it now!
Bug 115282 - Ctrl+`(Grave / QUOTELEFT) shortcut doesnt appear in Customization dialog
Summary: Ctrl+`(Grave / QUOTELEFT) shortcut doesnt appear in Customization dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Gabor Kelemen
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: Customize-Dialog-Keyboard Shortcuts-Grave
  Show dependency treegraph
 
Reported: 2018-01-28 15:15 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-06-02 14:15 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2018-01-28 15:15:18 UTC
steps:
1. open writer
2. tools > customize > keyboard
3. look through list and notice there is ctrl+' (QUOTERIGHT) but no ctrl+` (QUOTELEFT)

Assume the fix is to just add KEY_QUOTELEFT entries below each KEY_QUOTERIGHT entry in 
https://cgit.freedesktop.org/libreoffice/core/tree/cui/source/customize/acccfg.cxx

Version: 6.1.0.0.alpha0+
Build ID: ea89dabf8b6363972190a6b50c527c418d51c2c7
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 1 Buovjaga 2018-02-17 15:12:19 UTC
Confirmed.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 26783527823883ccd5bbf3b9e014a0a3c1e3a022
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 16th 2018
Comment 2 Thomas Lendo 2019-09-18 19:39:29 UTC
Muhammet, as you know the Customize dialog very well, maybe this issue is something you are willing to fix or to teach someone to do it?
Comment 3 Commit Notification 2021-06-02 14:15:21 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/78dd457b778428c1c65820c7c3d06634da0ac9ef

tdf#115282 Add KEY_QUOTELEFT entries to the Shortcut keys list

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.